First time here? Check out the FAQ!
x

My iMac is saying that HP software is not compatible with OSX Lion 10.7. I have aт HP Photosmart 7510 device.

0 votes
asked by
edited by

My iMac is saying that HP software is not compatible with OSX Lion 10.7. I have aт HP Photosmart 7510 device.

1 Answer

0 votes
answered by (194k points)
edited by

You need to update the applications and drivers for your devices which means that you need to download the updated drivers that are compatible with Mac OSX 10.7. Uninstall the support application and its drivers and download a new copy from the support website.

Your answer

Your name to display (optional):
Privacy: Your email address will only be used for sending these notifications.
Anti-spam verification:
To avoid this verification in future, please log in or register
...